Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1058196 (php-goutte) - Review Request: php-goutte - A simple PHP web scraper
Summary: Review Request: php-goutte - A simple PHP web scraper
Keywords:
Status: CLOSED ERRATA
Alias: php-goutte
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Remi Collet
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-27 08:30 UTC by Shawn Iwinski
Modified: 2014-03-12 00:01 UTC (History)
2 users (show)

Fixed In Version: php-goutte-1.0.5-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-03-03 03:10:28 UTC
fedora: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)
phpci.log (deleted)
2014-02-19 13:23 UTC, Remi Collet
no flags Details
review.txt (deleted)
2014-02-19 13:23 UTC, Remi Collet
no flags Details

Description Shawn Iwinski 2014-01-27 08:30:36 UTC
Spec URL: https://raw.github.com/siwinski/rpms/16b086af367c53e92f63ca8c1af01784e71081ec/php-goutte.spec

SRPM URL: http://siwinski.fedorapeople.org/SRPMS/php-goutte-1.0.3-1.20140118gite83f8f9.fc20.src.rpm

Description:
Goutte is a screen scraping and web crawling library for PHP.

Goutte provides a nice API to crawl websites and extract data
from the HTML/XML responses.


Fedora Account System Username: siwinski

Comment 1 Remi Collet 2014-02-19 13:23:17 UTC
Created attachment 865077 [details]
phpci.log

phpcompatinfo version 2.26.0.

Comment 2 Remi Collet 2014-02-19 13:23:50 UTC
Created attachment 865078 [details]
review.txt

Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -b 1058196
Buildroot used: fedora-rawhide-x86_64

Comment 3 Remi Collet 2014-02-19 13:24:40 UTC
MUST

[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/php/Goutte

[!]: outdated documentation
  => CHANGELOG is obviously outdated
    - drop it as it have no value
    - request upstream to drop it or update it

SHOULD

[!]: Dist tag is present (not strictly required in GL).
  => %{?dist}

[!]: Latest version is packaged.
  => version 1.0.5 (19 days ago) prefered than git snapshot

Comment 4 Shawn Iwinski 2014-02-20 03:48:48 UTC
(In reply to Remi Collet from comment #3)
> MUST
> 
> [!]: Package must own all directories that it creates.
>      Note: Directories without known owners: /usr/share/php/Goutte

Wow... ooops!
 
> [!]: outdated documentation
>   => CHANGELOG is obviously outdated
>     - drop it as it have no value

Dropped

>     - request upstream to drop it or update it

https://github.com/fabpot/Goutte/issues/133

> SHOULD
> 
> [!]: Dist tag is present (not strictly required in GL).
>   => %{?dist}

:(  How many times am I going to make that mistake?
 
> [!]: Latest version is packaged.
>   => version 1.0.5 (19 days ago) prefered than git snapshot

Updated to latest version 1.0.5



Update diff: https://github.com/siwinski/rpms/commit/ae10e782de32256bde6cff92d8d267482cb5f4b0



Spec URL: https://raw2.github.com/siwinski/rpms/ae10e782de32256bde6cff92d8d267482cb5f4b0/php-goutte.spec

SRPM URL: http://siwinski.fedorapeople.org/SRPMS/php-goutte-1.0.5-1.fc20.src.rpm

Comment 5 Remi Collet 2014-02-20 05:45:02 UTC
[x]: Package must own all directories that it creates.
[x]: outdated documentation
[x]: Dist tag is present (not strictly required in GL).
[x]: Latest version is packaged.

Not blocker.

== APPROVED ==

Comment 6 Shawn Iwinski 2014-02-20 20:53:41 UTC
THANKS for the review!


New Package SCM Request
=======================
Package Name: php-goutte
Short Description: A simple PHP web scraper
Owners: siwinski
Branches: f19 f20 el6 epel7
InitialCC:

Comment 7 Gwyn Ciesla 2014-02-21 12:54:42 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2014-02-21 19:48:24 UTC
php-goutte-1.0.5-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/php-goutte-1.0.5-1.fc20

Comment 9 Fedora Update System 2014-02-21 19:48:32 UTC
php-goutte-1.0.5-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/php-goutte-1.0.5-1.fc19

Comment 10 Fedora Update System 2014-02-21 19:48:43 UTC
php-goutte-1.0.5-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-goutte-1.0.5-1.el6

Comment 11 Fedora Update System 2014-02-22 01:49:15 UTC
php-goutte-1.0.5-1.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 12 Fedora Update System 2014-03-03 03:10:28 UTC
php-goutte-1.0.5-1.fc19 has been pushed to the Fedora 19 stable repository.

Comment 13 Fedora Update System 2014-03-03 03:10:52 UTC
php-goutte-1.0.5-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 14 Fedora Update System 2014-03-12 00:01:31 UTC
php-goutte-1.0.5-1.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.